# igg-vue-accept-cookie

เป็น Component ที่จะใช้แสดงการยอมรับการเก็บ Cookie หน้าเว็บไซต์

### Install

```
# npm
npm install igg-accept-cookie

#yarn
yarn add igg-accept-cookie
```
---

### Example for Nuxt.js

เพิ่ม Lib ใน Plugin และเพิ่มไฟล์ plugin ใน nuxt.config.js ด้วย
``` javascript
import Vue from 'vue'
import IggAcceptCookie from 'igg-vue-accept-cookie'
import 'igg-vue-accept-cookie/dist/igg-vue-accept-cookie.css'

Vue.use(IggAcceptCookie)
```

วิธีการใช้งาน
``` javascript
<igg-accept-cookie privencyURL="https://privency.example" />
```
---
### Props

| Tables | type | default | possible values | description |
| ---   | :---: | :---: | :---: | ---: |
| content| String | 'เว็บไซต์นี้มีการใช้งานคุกกี้ เพื่อเพิ่มประสิทธิภาพและประสบการณ์ที่ดีในการใช้งานเว็บไซต์' | Any String | ชื่อรายละเอียดก่อนหน้า ชื่อurl |
| buttonText | String | 'ยอมรับ' | Any String | ชื่อ ปุ่มกด ยอมรับข้อตกลง |
| privencyUrl | String |  | Url | url ลิงก์ที่จะไป |
| privencyText | String | 'นโยบายความเป็นส่วนตัว' | Any String | ชื่อ ลิงก์ที่จะให้เเสดง |
---
### Methods

มีการเรียกใช้ Methods `onAccept()` ที่ button
| method | parameters | description |
| --- | :---: | ---: |
| onAccept | none | สร้าง วัน เดือน ปี เก็บไว้ที่ cookie-accepted ใน localStorage